Bug 183116 - [PATCH] sysutils/dtpstree: fix build with clang, use USES=gmake, support STAGEDIR
Summary: [PATCH] sysutils/dtpstree: fix build with clang, use USES=gmake, support STAG...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-20 08:00 UTC by Po-Chuan Hsieh
Modified: 2013-10-20 10:40 UTC (History)
1 user (show)

See Also:


Attachments
dtpstree-1.0.3.patch (871 bytes, patch)
2013-10-20 08:00 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2013-10-20 08:00:00 UTC
- Fix build with clang
- Use USES=gmake
- Support STAGEDIR

Port maintainer (douglas@douglasthrift.net) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-20 08:00:07 UTC
Maintainer of sysutils/dtpstree,

Please note that PR ports/183116 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183116

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-20 08:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-10-20 08:06:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 4 Douglas Thrift 2013-10-20 09:56:43 UTC
SSBhcHByb3ZlLgotLSAKRG91Z2xhcyBXaWxsaWFtIFRocmlmdAo8ZG91Z2xhc0Bkb3VnbGFzdGhy
aWZ0Lm5ldD4KPGh0dHA6Ly9kb3VnbGFzdGhyaWZ0Lm5ldD4KCkVkd2luIEdyb290aHVpcyA8ZWR3
aW5ARnJlZUJTRC5vcmc+IHdyb3RlOgoKPk1haW50YWluZXIgb2Ygc3lzdXRpbHMvZHRwc3RyZWUs
Cj4KPlBsZWFzZSBub3RlIHRoYXQgUFIgcG9ydHMvMTgzMTE2IGhhcyBqdXN0IGJlZW4gc3VibWl0
dGVkLgo+Cj5JZiBpdCBjb250YWlucyBhIHBhdGNoIGZvciBhbiB1cGdyYWRlLCBhbiBlbmhhbmNl
bWVudCBvciBhIGJ1ZyBmaXgKPnlvdSBhZ3JlZSBvbiwgcmVwbHkgdG8gdGhpcyBlbWFpbCBzdGF0
aW5nIHRoYXQgeW91IGFwcHJvdmUgdGhlIHBhdGNoCj5hbmQgYSBjb21taXR0ZXIgd2lsbCB0YWtl
IGNhcmUgb2YgaXQuCj4KPlRoZSBmdWxsIHRleHQgb2YgdGhlIFBSIGNhbiBiZSBmb3VuZCBhdDoK
PiAgICBodHRwOi8vd3d3LmZyZWVic2Qub3JnL2NnaS9xdWVyeS1wci5jZ2k/cHI9cG9ydHMvMTgz
MTE2Cj4KPi0tIAo+RWR3aW4gR3Jvb3RodWlzIHZpYSB0aGUgR05BVFMgQXV0byBBc3NpZ24gVG9v
bAo+ZWR3aW5ARnJlZUJTRC5vcmcKPgo=
Comment 5 Douglas Thrift 2013-10-20 10:14:42 UTC
Oops! It doesn't look like GNATS likes email from the Android client.
That should have read:

I approve.

Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>

On 10/20/2013 12:00 AM, Edwin Groothuis wrote:
> Maintainer of sysutils/dtpstree,
> 
> Please note that PR ports/183116 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183116
>
Comment 6 dfilter service freebsd_committer 2013-10-20 10:33:12 UTC
Author: sunpoet
Date: Sun Oct 20 09:33:04 2013
New Revision: 330995
URL: http://svnweb.freebsd.org/changeset/ports/330995

Log:
  - Fix build with clang
  - Use USES=gmake
  - Support STAGEDIR
  
  PR:		ports/183116
  Submitted by:	sunpoet (myself)
  Approved by:	Douglas Thrift <douglas@douglasthrift.net> (maintainer)

Added:
  head/sysutils/dtpstree/files/
  head/sysutils/dtpstree/files/patch-dtpstree.cpp   (contents, props changed)
Modified:
  head/sysutils/dtpstree/Makefile   (contents, props changed)

Modified: head/sysutils/dtpstree/Makefile
==============================================================================
--- head/sysutils/dtpstree/Makefile	Sun Oct 20 08:42:42 2013	(r330994)
+++ head/sysutils/dtpstree/Makefile	Sun Oct 20 09:33:04 2013	(r330995)
@@ -13,11 +13,12 @@ COMMENT=	Display a tree of processes
 LICENSE=	AL2
 
 USE_XZ=		yes
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 MAKEFILE=	GNUmakefile
+USES=		gmake
+
 MAN1=		dtpstree.1
-PLIST_FILES=	bin/dtpstree
+PLIST_FILES=	bin/dtpstree \
+		man/man1/dtpstree.1.gz
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Added: head/sysutils/dtpstree/files/patch-dtpstree.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/dtpstree/files/patch-dtpstree.cpp	Sun Oct 20 09:33:04 2013	(r330995)
@@ -0,0 +1,10 @@
+--- dtpstree.cpp.orig	2010-08-05 16:01:47.000000000 +0800
++++ dtpstree.cpp	2013-10-19 19:48:34.750149337 +0800
+@@ -21,6 +21,7 @@
+ 
+ #include <cerrno>
+ #include <climits>
++#include <clocale>
+ #include <cstdarg>
+ #include <cstdio>
+ #include <cstdlib>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2013-10-20 10:34:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!